#### D.12.2.38 find_first_primitive_root

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  find_first_primitive_root(mod1)

Return:
  First primitive root modulo mod1, 0 if no root can be found.

Example:

    LIB "crypto.lib";
    ring r = 0,x,lp;
    find_first_primitive_root(7);
    ==> 3
    find_first_primitive_root(557);
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.